Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.jms.client.container
Class ConsumerAspect

    java.lang.Object
      org.jboss.jms.client.container.ConsumerAspect

public class ConsumerAspect
extends java.lang.Object

Handles operations related to the consumer. This aspect is PER_VM.

Version:
  `$Revision: 1.12 $` $Id: ConsumerAspect.java,v 1.12 2006/05/06 05:05:39 ovidiu Exp $
Author:
  Ovidiu Feodorov, Tim Fox

Constructor Summary
`ConsumerAspect()`

Method Summary
`java.lang.Object` | `handleClosing(Invocation invocation)`
`java.lang.Object` | `handleCreateConsumerDelegate(Invocation invocation)`
`java.lang.Object` | `handleGetDestination(Invocation invocation)`
`java.lang.Object` | `handleGetMessageSelector(Invocation invocation)`
`java.lang.Object` | `handleGetNoLocal(Invocation invocation)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ConsumerAspect

    public ConsumerAspect()

Method Detail

### handleCreateConsumerDelegate

    public java.lang.Object handleCreateConsumerDelegate(Invocation invocation)
                                                  throws java.lang.Throwable

  Throws:
    `java.lang.Throwable`

### handleClosing

    public java.lang.Object handleClosing(Invocation invocation)
                                   throws java.lang.Throwable

  Throws:
    `java.lang.Throwable`

### handleGetDestination

    public java.lang.Object handleGetDestination(Invocation invocation)
                                          throws java.lang.Throwable

  Throws:
    `java.lang.Throwable`

### handleGetNoLocal

    public java.lang.Object handleGetNoLocal(Invocation invocation)
                                      throws java.lang.Throwable

  Throws:
    `java.lang.Throwable`

### handleGetMessageSelector

    public java.lang.Object handleGetMessageSelector(Invocation invocation)
                                              throws java.lang.Throwable

  Throws:
    `java.lang.Throwable`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006 JBoss Inc. All Rights Reserved.